Mark a delivery note as delivered

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

delivery_note_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
Unique ID of the delivery note
created_atdatetime
Time at which the delivery note was created. Timestamps follow the ISO 8601 standard.
updated_atdatetime
Time at which the delivery note was last updated. Timestamps follow the ISO 8601 standard.
counterpartobject
Counterpart of the delivery note
counterpart_addressobject
Address of the counterpart
counterpart_idstringformat: "uuid"
ID of the counterpart
display_signature_placeholderboolean
Whether to display a signature placeholder in the generated PDF
document_idstring
Document ID of the delivery note
entityobject
Entity that created the delivery note
entity_addressobject
Address of the entity that created the delivery note
entity_idstringformat: "uuid"
ID of the entity that created the delivery note
file_languageenum

The language of the customer-facing PDF file (file_url). The value matches the counterpart’s language at the time when this PDF file was generated.

line_itemslist of objects
List of line items in the delivery note
original_file_languageenum

The language of the entity’s copy of the PDF file (original_file_url). The value matches the entity’s language at the time when this PDF file was generated.

statusenum
Status of the delivery note
Allowed values:
based_onstringformat: "uuid"
The unique ID of a previous document related to the delivery note if applicable.
based_on_document_idstring
The unique document ID of a previous document related to the delivery note if applicable.
created_by_entity_user_idstringformat: "uuid"
ID of the user that created the delivery note
delivery_datestringformat: "date"
Date of delivery
delivery_numberstring
Delivery number
file_urlstring

The delivery note’s PDF URL in the customer-facing language.

memostring
An optional note for the customer, displayed above the line items table in the PDF.
original_file_urlstring
The delivery note's PDF URL in the entity's language.

Errors

400
Post Delivery Notes ID Mark as Delivered Request Bad Request Error
401
Post Delivery Notes ID Mark as Delivered Request Unauthorized Error
403
Post Delivery Notes ID Mark as Delivered Request Forbidden Error
404
Post Delivery Notes ID Mark as Delivered Request Not Found Error
409
Post Delivery Notes ID Mark as Delivered Request Conflict Error
422
Post Delivery Notes ID Mark as Delivered Request Unprocessable Entity Error
429
Post Delivery Notes ID Mark as Delivered Request Too Many Requests Error